> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Resource Types

> Get resource types for a scope

## Query Parameters

<ParamField query="scopeId" type="string" required>
  ID of the scope to get resource types for
</ParamField>

## Response

Returns an array of resource type objects.

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://api.example.com/resource-types?scopeId=scope_acme' \
    -H 'Authorization: Bearer YOUR_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "id": "resource_type_document",
      "name": "Document",
      "key": "document",
      "scopeId": "scope_acme",
      "createdAt": "2024-01-15T10:30:00Z",
      "createdBy": "system"
    },
    {
      "id": "resource_type_folder",
      "name": "Folder",
      "key": "folder",
      "scopeId": "scope_acme",
      "createdAt": "2024-01-15T10:30:00Z",
      "createdBy": "system"
    }
  ]
  ```
</ResponseExample>
